#include <ba_config.h>
#include <ba_sim.h>

extern uint32_t
ba_behavior_num_users_get(void)
{
    if(ba_trace_read_trace_input_get()) {
	return ba_trace_num_users_get();
    } else {
	return ba_options_num_users_get();
    }
}

extern ba_real
ba_behavior_virtual_clock_terminate_get(void)
{
    if(ba_trace_read_trace_input_get()) {
	BA_PANIC(); // no tracing with this option
    } else {
	return ba_options_virtual_clock_terminate_get();
    }

    return 0.0; // warning elim
}

extern uint32_t
ba_behavior_max_req_dis_tasks_per_user_get(void)
{
    if(ba_trace_read_trace_input_get()) {
	return ba_trace_max_req_dis_tasks_per_user_get();
    } else {
	return ba_options_max_req_dis_tasks_per_user_get();
    }
}

extern ba_status
ba_behavior_init(void)
{

    return BA_STATUS_SUCCESS;
}

extern ba_status
ba_behavior_destroy(void)
{

    return BA_STATUS_SUCCESS;
}

extern void
ba_behavior_destroy_from_hook(void *unused)
{
    ba_status status;

    status = ba_behavior_destroy();
    BA_ASSERT(status == BA_STATUS_SUCCESS);
}
