#ifndef __BA_GLIB_H__
#define __BA_GLIB_H__

#include <ba_config.h>

typedef struct ba_glib_fast_slist_append_s ba_glib_fast_slist_append_t;

extern GHookList *ba_glib_hook_new(void);
extern void ba_glib_hook_delete(GHookList *list);
extern void ba_glib_hook_add(GHookList *list,
			     GHookFunc func);

extern GSList *ba_glib_fast_slist_append(ba_glib_fast_slist_append_t
					 *fast_slist_append,
					 GSList *head,
					 gpointer data);
extern void ba_glib_fast_slist_appender_reset(ba_glib_fast_slist_append_t 
					      *fast_slist_append);
extern ba_glib_fast_slist_append_t *ba_glib_fast_slist_append_new(void);
extern void ba_glib_fast_slist_append_delete(ba_glib_fast_slist_append_t
					     *fast_slist_append);

extern ba_status ba_glib_init(void);
extern ba_status ba_glib_destroy(void);

#endif /* !__BA_GLIB_H__ */
