#include <ba_config.h>
#include <ba_sim.h>

extern char *
ba_status_string(ba_status status)
{
#define KASE(_v_,_s_) case _v_: return(_s_)
    
    switch(status) {
	KASE(BA_STATUS_SUCCESS, "general status: success");
	KASE(BA_STATUS_OPTIONS_BAD, "options status: bad option(s)");
	KASE(BA_STATUS_OPTIONS_EXIT, "options status: print information and "
	     "exit");
	KASE(BA_STATUS_PRINT_BAD_DATA_OUTPUT_FILENAME,
	     "print status: bad data output filename");
	
    default:
	return("general status: ??? code not recognized");
    }

#undef KASE
}
