#ifndef __BA_MEM_H__
#define __BA_MEM_H__

#include <ba_config.h>

extern void *ba_mem_malloc(size_t size);
extern void ba_mem_free(void *ptr);

extern ba_status ba_mem_init(void);
extern ba_status ba_mem_destroy(void);
extern void ba_mem_destroy_from_hook(void *unused);

#endif /* !__BA_MEM_H__ */
