#!/usr/bin/perl -w

die "Change this script to use a version of Perl greater than or equal to 5."
    if $PERL_VERSION < 5;

#use lib "~/batchactive/bin";

use strict;
use English;
use Getopt::Long;

use ba_stat_nums;

use constant true => 1;
use constant false => 0;

my $progname = $0;
my @all_values;

&parse_args;

while(<>) {
    push @all_values, $_;
}

&stat_nums_print(\@all_values);

sub parse_args {
    &usage if(@ARGV != 0);
}

sub usage {
    print "usage: $progname < <numbers, one per line>\n";
    exit;
}
